| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
StronglyConnectedComponentId Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure StronglyConnectedComponentId defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | StronglyConnectedComponentId ()
| Default constructor.
eProsima_user_DllExport | ~StronglyConnectedComponentId ()
| Default destructor.
eProsima_user_DllExport | StronglyConnectedComponentId (const StronglyConnectedComponentId &x)
| Copy constructor.
eProsima_user_DllExport | StronglyConnectedComponentId (StronglyConnectedComponentId &&x) noexcept
| Move constructor.
eProsima_user_DllExport StronglyConnectedComponentId & | operator= (const StronglyConnectedComponentId &x)
| Copy assignment.
eProsima_user_DllExport StronglyConnectedComponentId & | operator= (StronglyConnectedComponentId &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const StronglyConnectedComponentId &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const StronglyConnectedComponentId &x) const
| Comparison operator.
eProsima_user_DllExport void | sc_component_id (const TypeObjectHashId &_sc_component_id)
| This function copies the value in member sc_component_id.
eProsima_user_DllExport void | sc_component_id (TypeObjectHashId &&_sc_component_id)
| This function moves the value in member sc_component_id.
eProsima_user_DllExport const TypeObjectHashId & | sc_component_id () const
| This function returns a constant reference to member sc_component_id.
eProsima_user_DllExport TypeObjectHashId & | sc_component_id ()
| This function returns a reference to member sc_component_id.
eProsima_user_DllExport void | scc_length (int32_t _scc_length)
| This function sets a value in member scc_length.
eProsima_user_DllExport int32_t | scc_length () const
| This function returns the value of member scc_length.
eProsima_user_DllExport int32_t & | scc_length ()
| This function returns a reference to member scc_length.
eProsima_user_DllExport void | scc_index (int32_t _scc_index)
| This function sets a value in member scc_index.
eProsima_user_DllExport int32_t | scc_index () const
| This function returns the value of member scc_index.
eProsima_user_DllExport int32_t & | scc_index ()
| This function returns a reference to member scc_index.

## Detailed Description

This class represents the structure StronglyConnectedComponentId defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ StronglyConnectedComponentId() [1/3]

eProsima_user_DllExport StronglyConnectedComponentId | ( |  | ) |

inline

Default constructor.

## ◆ ~StronglyConnectedComponentId()

eProsima_user_DllExport ~StronglyConnectedComponentId | ( |  | ) |

inline

Default destructor.

## ◆ StronglyConnectedComponentId() [2/3]

eProsima_user_DllExport StronglyConnectedComponentId | ( | const StronglyConnectedComponentId & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object StronglyConnectedComponentId that will be copied.

## ◆ StronglyConnectedComponentId() [3/3]

eProsima_user_DllExport StronglyConnectedComponentId | ( | StronglyConnectedComponentId && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object StronglyConnectedComponentId that will be copied.

## Member Function Documentation

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const StronglyConnectedComponentId & | x | ) | const

inline

Comparison operator.

Parameters

  x | StronglyConnectedComponentId object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport StronglyConnectedComponentId & operator= | ( | const StronglyConnectedComponentId & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object StronglyConnectedComponentId that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport StronglyConnectedComponentId & operator= | ( | StronglyConnectedComponentId && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object StronglyConnectedComponentId that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const StronglyConnectedComponentId & | x | ) | const

inline

Comparison operator.

Parameters

  x | StronglyConnectedComponentId object to compare.

## ◆ sc_component_id() [1/4]

eProsima_user_DllExport TypeObjectHashId & sc_component_id | ( |  | ) |

inline

This function returns a reference to member sc_component_id.

Returns
  Reference to member sc_component_id

## ◆ sc_component_id() [2/4]

eProsima_user_DllExport const TypeObjectHashId & sc_component_id | ( |  | ) | const

inline

This function returns a constant reference to member sc_component_id.

Returns
  Constant reference to member sc_component_id

## ◆ sc_component_id() [3/4]

eProsima_user_DllExport void sc_component_id | ( | const TypeObjectHashId & | _sc_component_id | ) |

inline

This function copies the value in member sc_component_id.

Parameters

  _sc_component_id | New value to be copied in member sc_component_id

## ◆ sc_component_id() [4/4]

eProsima_user_DllExport void sc_component_id | ( | TypeObjectHashId && | _sc_component_id | ) |

inline

This function moves the value in member sc_component_id.

Parameters

  _sc_component_id | New value to be moved in member sc_component_id

## ◆ scc_index() [1/3]

eProsima_user_DllExport int32_t & scc_index | ( |  | ) |

inline

This function returns a reference to member scc_index.

Returns
  Reference to member scc_index

## ◆ scc_index() [2/3]

eProsima_user_DllExport int32_t scc_index | ( |  | ) | const

inline

This function returns the value of member scc_index.

Returns
  Value of member scc_index

## ◆ scc_index() [3/3]

eProsima_user_DllExport void scc_index | ( | int32_t | _scc_index | ) |

inline

This function sets a value in member scc_index.

Parameters

  _scc_index | New value for member scc_index

## ◆ scc_length() [1/3]

eProsima_user_DllExport int32_t & scc_length | ( |  | ) |

inline

This function returns a reference to member scc_length.

Returns
  Reference to member scc_length

## ◆ scc_length() [2/3]

eProsima_user_DllExport int32_t scc_length | ( |  | ) | const

inline

This function returns the value of member scc_length.

Returns
  Value of member scc_length

## ◆ scc_length() [3/3]

eProsima_user_DllExport void scc_length | ( | int32_t | _scc_length | ) |

inline

This function sets a value in member scc_length.

Parameters

  _scc_length | New value for member scc_length

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp